## python-sparkpost 1.3.3

=== Makefile ===
.PHONY: analysis all build clean docs docs-install docs-open install release release-test test venv 

all: clean venv install

venv:
	virtualenv venv

install: venv
	. venv/bin/activate; pip install -r dev-requirements.txt
	. venv/bin/activate; pip install -e .

analysis:
	. venv/bin/activate; flake8 sparkpost test

test: analysis
	. venv/bin/activate; py.test --cov-report term-missing --cov-report html --cov sparkpost test/

docs-install:
	. venv/bin/activate; pip install -r docs/requirements.txt

docs:
	. venv/bin/activate; cd docs && make html

docs-open: docs
	. venv/bin/activate; open docs/_build/html/index.html

release: install
	. venv/bin/activate; python setup.py sdist bdist_wheel; twine upload -r pypi dist/*

release-test: install
	. venv/bin/activate; python setup.py sdist bdist_wheel; twine upload -r test dist/*

build: install
	. venv/bin/activate; python setup.py sdist
	. venv/bin/activate; python setup.py bdist_wheel

clean:
	rm -rf venv build dist *.egg-info

=== debian/changelog ===
python-sparkpost (1.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 17 Jan 2017 01:31:16 -0500

python-sparkpost (1.3.2-1) unstable; urgency=low

  * Initial release. (Closes: #844582)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 15 Nov 2016 23:19:47 -0500

## python-sparkpost 1.3.5

=== debian/changelog ===
python-sparkpost (1.3.5-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Jun 2017 15:10:06 -0400

=== debian/control ===
Source: python-sparkpost
Section: contrib/python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
# Test Requirements
# flake8,
# python-django,
# python3-django,
# python-pytest,
# python3-pytest,
# python-pytest-cov,
# python3-pytest,
# python-requests,
# python3-requests,
# python-responses,
# python3-responses,
# python-tornado,
# python3-tornado
Standards-Version: 3.9.8
Homepage: https://github.com/SparkPost/python-sparkpost
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-sparkpost.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-sparkpost.git

Package: python-sparkpost
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: SparkPost Python API client (Python 2)
 Super-mega-official Python package for using the SparkPost API.
 .
 Python and Python-Django integration with SparkPost's email transmission
 API.
 .
 This is the Python 2 version of the package.

Package: python3-sparkpost
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: SparkPost Python API client (Python 3)
 Super-mega-official Python package for using the SparkPost API.
 .
 Python and Python-Django integration with SparkPost's email transmission
 API.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sparkpost

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	# Running tests takes lots of extra build-depdends.

## python-sparkpost 1.3.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: analysis all build clean docs docs-install docs-open install release release-test test venv 
+.PHONY: analysis all build clean docs docs-install docs-open install release release-test test venv
 
 all: clean venv install

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-sparkpost.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-sparkpost.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-sparkpost"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-sparkpost"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-sparkpost (1.3.7-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sat, 03 Aug 2019 21:40:44 +0200

python-sparkpost (1.3.7-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.3.0 without further change
  * Run upstream tests (except tornado tests which seem out of date) as
    autopkgtest

 -- Scott Kitterman <scott@kitterman.com>  Fri, 18 Jan 2019 02:33:44 -0500

python-sparkpost (1.3.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Scott Kitterman ]
  * Move from contrib to main - free software that interacts with proprietary
    services is allowed in main
  * Bumps standards-version to 4.2.1 without further change

 -- Scott Kitterman <scott@kitterman.com>  Wed, 05 Dec 2018 20:05:05 -0500

=== debian/control ===
Source: python-sparkpost
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 python3-all,
 python3-setuptools,
# Test Requirements
# python3-django,
# python3-pytest,
# python3-pytest,
# python3-requests,
# python3-responses,
# python3-tornado
Standards-Version: 4.4.0
Homepage: https://github.com/SparkPost/python-sparkpost
Vcs-Git: https://salsa.debian.org/python-team/modules/python-sparkpost.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-sparkpost

Package: python3-sparkpost
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: SparkPost Python API client (Python 3)
 Super-mega-official Python package for using the SparkPost API.
 .
 Python and Python-Django integration with SparkPost's email transmission
 API.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sparkpost

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# Running tests takes lots of extra build-depdends.

=== debian/tests/control ===
Tests: py3
Depends: @, python3-all, python3-django, python3-mock, python3-pytest, python3-responses

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/python-sparkpost-$1.tar.gz/" \
https://github.com/SparkPost/python-sparkpost/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## python-sparkpost 1.3.10

=== debian/changelog ===
python-sparkpost (1.3.10-5) unstable; urgency=medium

  * QA Upload
  * Patch-ou usage of "six"
  * Enable tests

 -- Alexandre Detiste <tchet@debian.org>  Sat, 01 Feb 2025 10:20:53 +0100

python-sparkpost (1.3.10-4) unstable; urgency=medium

  * QA Upload
  * The autopkgtest needs python3-six too

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Jul 2024 15:45:39 +0200

python-sparkpost (1.3.10-3) unstable; urgency=medium

  * QA Upload
  * Add build-depency on python3-six

  [ Andreas Hasenack ]
  * distutils was removed in python 3.12. Replace it with the packaging
    module (LP: #2054309):
    - d/p/replace-distutils.patch: use packaging.version.Version
    - d/t/control: drop python3-distutils test dependency, no longer
      needed

 -- Alexandre Detiste <tchet@debian.org>  Tue, 02 Jul 2024 07:39:33 +0200

python-sparkpost (1.3.10-2) unstable; urgency=medium

  [ Scott Kitterman ]
  * Orphan the package, see #1063171
    - Remove myself from uploaders and update maintainer to Debian QA Group
    - Update Vcs-* to Debian group
  * Ensure distutils is installed for debci (used only for tests)
  * Add d/source/options extend-diff-ignore to fix dpkg-source failure due to
    local changes (python package metadata regeneration) (Closes: #1047782)

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

 -- Scott Kitterman <scott@kitterman.com>  Mon, 05 Feb 2024 10:44:42 -0500

python-sparkpost (1.3.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Scott Kitterman ]
  * New upstream release
  * Bump standards-version to 4.6.0 without further change
  * Update debhelper-compat to 13

 -- Scott Kitterman <scott@kitterman.com>  Sun, 05 Dec 2021 00:03:37 -0500

=== debian/control ===
Source: python-sparkpost
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
 python3-django,
 python3-pytest,
 python3-requests,
 python3-responses,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/SparkPost/python-sparkpost
Vcs-Git: https://salsa.debian.org/debian/python-sparkpost.git
Vcs-Browser: https://salsa.debian.org/debian/python-sparkpost

Package: python3-sparkpost
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: SparkPost Python API client (Python 3)
 Super-mega-official Python package for using the SparkPost API.
 .
 Python and Python-Django integration with SparkPost's email transmission
 API.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sparkpost
export PYBUILD_BEFORE_TEST=cp -r {dir}/test/assets {build_dir}/test/
export PYBUILD_TEST_ARGS=--ignore=test/tornado/test_tornado.py

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: py3
Depends: @, python3-all, python3-django, python3-pytest, python3-responses
